<?php
class ControllerSaleTableKot extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('sale/order');
		$this->load->model('sale/sale_order');
		
		$data['bar_categories'] = $this->model_sale_sale_order->getCategories('59');
		$data['food_categories'] = $this->model_sale_sale_order->getCategories('60');
		$data['products'] = $this->model_sale_sale_order->getProducts();
		
     	$data['username'] = $this->user->getUserName();
	    $data['user_id'] = $this->user->getId();
		$data['token'] = $this->session->data['token'];
		
		$data['taken_table_ids'] = $this->model_sale_sale_order->getTakenTables();
	    
		$data['open_kots']= $open_kots = $this->model_sale_sale_order->getOpenKots();
		
		$open_kot_ids = array();
		
		for($i=0; $i < sizeof($open_kots); $i++){
			$open_kot_ids[$i]= $open_kots[$i]['kot_id'];
			}
		
		if(sizeof($open_kot_ids)>0){
		$open_kot_ids = implode(",",$open_kot_ids);
			}else{
		$open_kot_ids = 0;
				}
			
		$data['kot_data'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids);
	//print_r($data['kot_data']);	
	
	

		$this->document->setTitle($this->language->get('heading_title'));
		
		$data['token'] = $this->session->data['token'];
		
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('sale/table_kot', $data));


		}
		
		public function get_table_status(){
			print_r($_POST);
			}
			
	
		public function save_table_order(){
			
			$this->load->model('sale/sale_order');
			
			$table_order_id = $this->model_sale_sale_order->insertTableOrder($this->request->post);
	
			print_r($table_order_id);
			
			}	
			
		
		
		public function save_kot(){
			$this->load->model('sale/sale_order');
			
			$kot_id = $this->model_sale_sale_order->insertKot($this->request->post);
			$table_order_id = $this->model_sale_sale_order->mapTableToKot($this->request->post['table_order_id'],$kot_id);
			
			$data['last_kot']=$this->model_sale_sale_order->getLastKot();
			$data['last_kot_products']=$this->model_sale_sale_order->getLastKotProducts($data['last_kot'][0]['kot_id']);
			print_r(json_encode($data));
			
	
			}	

}
?>